Payment Methods
PaymentMethods object
This operation returns a list of active and inactive payment methods with pagination.
Note: This operation needs Authentication and supports the following JSON:API features:
Sparse fieldsets - supports all fields of
paymentMethodwithfieldsquery parameter.
Authorizations
AuthorizationstringRequired
Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>
Query parameters
page[size]integer · int32 · min: 1 · max: 1000Optional
The number of resources to return in a single response.
page[before]string · min: 1 · max: 36OptionalPattern:
Unique identifier.
^[a-zA-Z0-9-]+$page[after]string · min: 1 · max: 36OptionalPattern:
Unique identifier.
^[a-zA-Z0-9-]+$Responses
200
Successful response with payment methods data in JSON:API format.
application/vnd.api+json
400
Bad request.
application/vnd.api+json
401
Unauthorized.
application/vnd.api+json
429
Too many requests.
application/vnd.api+json
500
Internal Server Error.
application/vnd.api+json
503
Service is unavailable.
application/vnd.api+json
get/v1/payment-methods
GET /pos/v1/payment-methods HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
"type": "paymentMethods",
"attributes": {
"name": "Cash",
"code": "cash",
"isActive": true,
"isTippable": false,
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-01T00:00:00Z"
}
}
],
"links": {
"prev": "https://api.mews-demo.com/pos/v1/payment-methods?page%5Bbefore%5D=NA&page%5Bsize%5D=1",
"next": "https://api.mews-demo.com/pos/v1/payment-methods?page%5Bafter%5D=NA&page%5Bsize%5D=1"
}
}Last updated
Was this helpful?